audiojs: librairie javascript pour écouter de la musique
========================================================
![category](développement)
![tag](javascript)
Une bibliothèque trouvée sur http://kolber.github.io/ pour écouter de la musique
sur une page web

un petit exemple permettant d'écouter france inter

```html
<html>
<head>
    <meta charset="utf-8">
    <script src="http://kolber.github.io/audiojs/audiojs/audio.js"></script>
    <script>
    audiojs.events.ready(function() {
        var as = audiojs.createAll();
    });
    </script>
</head>
<body>
<audio src="http://direct.franceinter.fr/live/franceinter-lofi.mp3" preload="auto" />
<!--<audio src="/music/test.mp3" preload="auto" />-->
</body>
</html>
```

et avec une liste de lecture

```html
<html>
<head>
    <meta charset="utf-8">
    <script src="http://kolber.github.io/audiojs/audiojs/audio.js"></script>
    <style>
    body { color: #666; font-family: sans-serif; line-height: 1.4; }
    h1 { color: #444; font-size: 1.2em; padding: 14px 2px 12px; margin: 0px; }
    h1 em { font-style: normal; color: #999; }
    a { color: #888; text-decoration: none; }
    #wrapper { width: 400px; margin: 40px auto; }
    
    ol { padding: 0px; margin: 0px; list-style: decimal-leading-zero inside; color: #ccc; width: 460px; border-top: 1px solid #ccc; font-size: 0.9em; }
    ol li { position: relative; margin: 0px; padding: 9px 2px 10px; border-bottom: 1px solid #ccc; cursor: pointer; }
    ol li a { display: block; text-indent: -3.3ex; padding: 0px 0px 0px 20px; }
    li.playing { color: #aaa; text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.3); }
    li.playing a { color: #000; }
    li.playing:before { content: '♬'; width: 14px; height: 14px; padding: 3px; line-height: 14px; margin: 0px; position: absolute; left: -24px; top: 9px; color: #000; font-size: 13px; text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.2); }
    
    #shortcuts { position: fixed; bottom: 0px; width: 100%; color: #666; font-size: 0.9em; margin: 60px 0px 0px; padding: 20px 20px 15px; background: #f3f3f3; background: rgba(240, 240, 240, 0.7); }
    #shortcuts div { width: 460px; margin: 0px auto; }
    #shortcuts h1 { margin: 0px 0px 6px; }
    #shortcuts p { margin: 0px 0px 18px; }
    #shortcuts em { font-style: normal; background: #d3d3d3; padding: 3px 9px; position: relative; left: -3px;
        -webkit-border-radius: 4px; -moz-border-radius: 4px; -o-border-radius: 4px; border-radius: 4px;
        -webkit-box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); -moz-box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); -o-box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); }

    @media screen and (max-device-width: 480px) {
        #wrapper { position: relative; left: -3%; }
        #shortcuts { display: none; }
    }
    </style>
    <script>
        // Setup the player to autoplay the next track
    audiojs.events.ready(function() {
        var as = audiojs.createAll();
        audio=as[0]
    });
    function load(url) {
        if (audio.mp3==url && audio.playing==true) {
          audio.pause();
        } else {
          audio.load(url);
          audio.play();              
        }
    }
    </script>
</head>
<body>
    <audio preload autoplay></audio>
    <ol class="music">
    <li><a href="#" class="music" onclick="load('http://direct.franceinter.fr/live/franceinter-lofi.mp3')">France Inter</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/02-juicy-r.mp3')">juicy-r</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/03-its-all-about-the-crystalizabeths.mp3')">it's all about the crystalizabeths</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/04-islands-is-the-limit.mp3')">islands is the limit</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/05-one-more-chance-for-a-heart-to-skip-a-beat.mp3')">one more chance for a heart to skip a beat</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/06-suicidal-fantasy.mp3')">suicidal fantasy</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/07-everyday-shelter.mp3')">everyday shelter</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/08-basic-hypnosis.mp3')">basic hypnosis</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/09-infinite-victory.mp3')">infinite victory</a></li>
    <li><a href="#" class="music" onclick="load('http://kolber.github.io/audiojs/demos/mp3/10-the-curious-incident-of-big-poppa-in-the-nighttime.mp3')">the curious incident of big poppa in the nighttime</a></li>
    <li><a href="#" class="music" onclick="load('http://direct.franceinter.fr/live/franceinter-lofi.mp3')">mo stars mo problems</a></li>
    </ol>
</body>
</html>